# CUPTI::PcSamplingUtil::CUptiUtil_PutPcSampDataParams Struct Reference
[CUPTI PC Sampling Utility API]

Params for CuptiUtilPutPcSampData.

## Data Fields
PcSamplingBufferType | bufferType
const char * | fileName
size_t | numAttributes
CUpti_PCSamplingConfigurationInfo * | pPCSamplingConfigurationInfo
PcSamplingStallReasons * | pPcSamplingStallReasons
void * | pSamplingData
size_t | size

## Field Documentation

PcSamplingBufferType CUPTI::PcSamplingUtil::CUptiUtil_PutPcSampDataParams::bufferType

Type of buffer to store in file

const char* CUPTI::PcSamplingUtil::CUptiUtil_PutPcSampDataParams::fileName

File name to store buffer into it.

size_t CUPTI::PcSamplingUtil::CUptiUtil_PutPcSampDataParams::numAttributes

Number of configured attributes

CUpti_PCSamplingConfigurationInfo* CUPTI::PcSamplingUtil::CUptiUtil_PutPcSampDataParams::pPCSamplingConfigurationInfo

Refer CUpti_PCSamplingConfigurationInfo It is expected to provide configuration details of at least CUPTI_PC_SAMPLING_CONFIGURATION_ATTR_TYPE_STALL_REASON attribute.

PcSamplingStallReasons* CUPTI::PcSamplingUtil::CUptiUtil_PutPcSampDataParams::pPcSamplingStallReasons

Refer PcSamplingStallReasons.

void* CUPTI::PcSamplingUtil::CUptiUtil_PutPcSampDataParams::pSamplingData

PC sampling buffer.

size_t CUPTI::PcSamplingUtil::CUptiUtil_PutPcSampDataParams::size

Size of the data structure i.e. CUpti_PCSamplingDisableParamsSize CUPTI client should set the size of the structure. It will be used in CUPTI to check what fields are available in the structure. Used to preserve backward compatibility.